#include <iostream>
using namespace std;

int niz[1000000];
int sortiran_niz[1000000];
int cifre[10];
int n;

void sortiraj()
{
	int j = 0;
	for (int i = 9; i >= 0; i--)
	{
		while (cifre[i] != 0)
		{
			sortiran_niz[j++] = i;
			cifre[i]--;
		}
	}
}

void ispisi_niz()
{
	for (int i = 0; i < n; i++)
	{
		cout << niz[i] << " ";
	}
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);

	cin >> n;
	for (int i = 0; i < n; i++)
	{
		cin >> niz[i];
		cifre[niz[i]]++;
	}

	sortiraj();
	
	for (int i = 0; i < n; i++)
	{
		if (niz[i] != sortiran_niz[i])
		{
			for (int j = n - 1; j >= 0; j--)
			{
				if (niz[j] == sortiran_niz[i])
				{
					swap(niz[i], niz[j]);
					ispisi_niz();
					return 0;
				}
			}
		}
	}

	swap(niz[n - 1], niz[n - 2]);
	ispisi_niz();
	return 0;
}